/*
 * PuParams_IP.java
 *
 * Created on October 29, 2005, 1:00 AM
 */

package Grapher.util;

import java.awt.*;

import jv.object.PsDebug;
import jv.object.PsPanel;
import jv.object.PsUpdateIf;
import jv.project.PgGeometryIf;

/**
 *
 * @author David
 */
public class PuParams_IP extends PsPanel {
    
        protected	PuParams                                m_PuParams;
	protected	PsPanel					m_pParams;
        
    /** Creates a new instance of PuParams_IP */
    public PuParams_IP() {
        super();
		if (getClass() == PuParams_IP.class) {
			init();
		}
    }
    
    /** Initialize panel */
    public void init() {
                super.init();
              
                m_pParams = new PsPanel();
                add (m_pParams);

    }
    
        /**
	 * Set parent of panel which supplies the data inspected by the panel.
         * Creates inspectors for domain sliders and checkboxes
	 */
	public void setParent(PsUpdateIf parent) {
		super.setParent(parent);
             
		m_PuParams = (PuParams)parent;
                
                m_pParams.removeAll();
                
                m_pParams.setLayout(new GridLayout(m_PuParams.m_numparams,1));
                for (int i = 0; i < m_PuParams.m_numparams; i++) {
                    m_pParams.add(m_PuParams.m_params[i].assureInspector(PsPanel.INFO,PsPanel.INFO_EXT));
                }
        }
        
        public boolean update(Object event) {
		if (PsDebug.NOTIFY) PsDebug.notify("isShowing = "+isShowing());
		return super.update(event);
	}
        
        
}
